local config = EventHorizon.config

function EventHorizon:InitializeClass()
	self.config.gcdSpellID = 1752
	-- Hunger for Blood
	self:NewSpell({
		spellID = 51662,
		playerbuff = true,
		requiredTalent = {1,27},
	})
	-- Slice and Dice
	self:NewSpell({
		spellID = 5171,
		playerbuff = true,
	})
	-- Rupture
	self:NewSpell({
		spellID = 1943,
		debuff = true,
		dot = 2,
	})
	--[[ Envenom
	self:NewSpell({
		spellID = 57993,
		playerbuff = true,
	})--]]
	-- Deadly Poison IX TODO check tooltip
	self:NewSpell({
		spellID = 57970,
		debuff = true,
		dot = 3,
		refreshable = true,
	})
	-- Tricks of the Trade
	self:NewSpell({
		spellID = 57934,
		playerbuff = true,
		cooldown = true,
	})
	-- Shadowstep
	self:NewSpell({
		spellID = 44373,
		playerbuff = 36563,	-- Watch 10sec ShS buff, not the 3sec speed boost.
		cooldown = true,
		requiredTalent = {3,25},
	})
	--[[ Expose Armor
	self:NewSpell({
		spellID = 8647,
		debuff = true,
		unique = true,
	})
	--]]
	return true
end
