local config = EventHorizon.config

function EventHorizon:InitializeClass()
	self.config.gcdSpellID = 19740 -- Blessing of Might

	local DIVINE_STORM = {3,26}
	local HAMMER_RIGHTEOUS = {2,26}
	local DIVINE_STRENGTH = {2,2}

	--Spell ordering, while seemingly random, is based on prioritization for each spec.
		
	-- Holy Shield
	self:NewSpell({
		spellID = 48952,
		cooldown = true,
		requiredTalent = HAMMER_RIGHTEOUS,
	})
	-- Crusader Strike
	self:NewSpell({
		spellID = 35395,
		cooldown = true,
		requiredTalent = DIVINE_STORM,
	})
	-- Judgement of Wisdom
	self:NewSpell({
		spellID = 53408,
		cooldown = true,
		requiredTalent = DIVINE_STRENGTH,
	})
	-- Shield of Righteousness
	self:NewSpell({
		spellID = 61411,
		cooldown = true,
		requiredTalent = HAMMER_RIGHTEOUS,
	})
	-- Divine Storm
	self:NewSpell({
		spellID = 53385,
		cooldown = true,
		requiredTalent = DIVINE_STORM,
	})
	-- Hammer of the Righteous
	self:NewSpell({
		spellID = 53595,
		cooldown = true,
		requiredTalent = HAMMER_RIGHTEOUS,
	})
	-- Consecration
	self:NewSpell({
		spellID = 48819,
		cooldown = true,
		requiredTalent = DIVINE_STRENGTH,
	})
	-- Avenger's Shield
	self:NewSpell({
		spellID = 48827,
		cooldown = true,
		requiredTalent = HAMMER_RIGHTEOUS,
	})
	-- Exorcism
	self:NewSpell({
		spellID = 48801,
		cooldown = true,
		requiredTalent = DIVINE_STRENGTH,
	})
	--[[ Holy Wrath
	self:NewSpell({
		spellID = 48817,
		cooldown = true,
	}) --]]
	-- Hammer of Wrath
	self:NewSpell({
		spellID = 48806,
		cooldown = true,
		requiredTalent = DIVINE_STORM,
	})
	return true
end
