local config = EventHorizon.config

function EventHorizon:InitializeClass()
	self.config.gcdSpellID = 686

	-- [[ Glyph of Life Tap
	self:NewSpell({
		spellID = 63321,
		playerbuff = true,
		-- TODO check for glyph
	})--]]
	-- Haunt
	self:NewSpell({
		spellID = 48181,
		debuff = true,
		cooldown = true,
		requiredTalent = {1,28},
	})
	-- Unstable Affliction 
	self:NewSpell({
		spellID = 30108,
		debuff = true, 
		dot = 3, 
		cast = true, 
		requiredTalent = {1,25},
	}) 
	--[[ Molten Core (not really useful)
	self:NewSpell({
		spellID = 47383,
		playerbuff = true,
		refreshable = true,
		requiredTalent = {3,4},
	})
	--]]
	-- Curse of Agony
	self:NewSpell({
		spellID = 980,
		debuff = true, 
		dot = 2, 
	}) 
	-- Corruption 
	self:NewSpell({
		spellID = 172,
		debuff = true, 
		dot = 3, 
		refreshable = true, 
	}) 
	-- Chaos Bolt
	self:NewSpell({
		spellID = 50796,
		cast = true,
		cooldown = true,
		requiredTalent = {3,26},
	})
	-- Immolate 
	self:NewSpell({
		spellID = 348,
		debuff = true,
		dot = 3,
		cast = true,
		requiredTalent = {1,25,0},-- Show only if Unstable Affliction is *not* talented.
	})
	-- Conflagrate
	self:NewSpell({
		spellID = 17962,
		--playerbuff = 54277,	-- Backdraft
		cooldown = true,
		requiredTalent = {3,17},
	})
	-- Incinerate, but only if in a spec to use it in rotation (read: Full destro)
	self:NewSpell({
		spellID = 29722,
		cast = true,
		requiredTalent = {3,16},-- Emberstorm
	})

	--Shadow Bolt, Shadow Embrace built in
	self:NewSpell({            
		spellID = 686,
		debuff = 32394,
		refreshable = true,
		cast = true, 
		requiredTalent = {3,16,0},-- Show only if Emberstorm is *not* talented.
	})
	-- Drain Soul
	self:NewSpell({
		spellID = 27217,
		channeled = true,
		numhits = 5,
		requiredTalent = {1,24},
	})
	return true
end
